> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Pull Zone ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /pullzone/{id} openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /pullzone/{id}: get: tags: - Pull Zone summary: Get Pull Zone operationId: PullZonePublic_Index parameters: - name: id in: path required: true description: The ID of the Pull Zone that should be returned schema: type: integer format: int64 x-position: 1 - name: includeCertificate in: query description: >- Determines if the result hostnames should contain the SSL certificate schema: type: boolean default: false x-position: 2 responses: '200': description: The Pull Zone with the requested ID content: application/json: schema: $ref: '#/components/schemas/PullZoneModel' '401': description: The request authorization failed '404': description: The Pull Zone with the requested ID does not exist '500': description: Internal Server Error components: schemas: PullZoneModel: type: object additionalProperties: false properties: Id: type: integer description: The unique ID of the pull zone. format: int64 Name: type: string description: The name of the pull zone. nullable: true OriginUrl: type: string description: The origin URL of the pull zone where the files are fetched from. nullable: true Enabled: type: boolean description: >- True unless reached resource limits or account owning it ran out of funds. Suspended: type: boolean Hostnames: type: array description: The list of hostnames linked to this Pull Zone nullable: true items: $ref: '#/components/schemas/HostnameModel' StorageZoneId: type: integer description: The ID of the storage zone that the pull zone is linked to format: int64 EdgeScriptId: type: integer description: The ID of the edge script that the pull zone is linked to format: int64 EdgeScriptExecutionPhase: description: |- The phase of the request where the script will be executed 0 = Cache 1 = Load Balancer 2 = Pre-Cache oneOf: - $ref: '#/components/schemas/ExecutionPhase' MiddlewareScriptId: type: integer format: int64 nullable: true MagicContainersAppId: type: string description: The ID of the Magic Container application the pull zone is linked to nullable: true MagicContainersEndpointId: type: string description: The ID of the Magic Container Endpoint the pull zone is linked to nullable: true AllowedReferrers: type: array description: >- The list of referrer hostnames that are allowed to access the pull zone.Requests containing the header Referer: hostname that is not on the list will be rejected.If empty, all the referrers are allowed nullable: true items: type: string BlockedReferrers: type: array description: >- The list of referrer hostnames that are allowed to access the pull zone. Requests containing the header Referer: hostname that is not on the list will be rejected. If empty, all the referrers are allowed nullable: true items: type: string BlockedIps: type: array description: >- The list of IPs that are blocked from accessing the pull zone. Requests coming from the following IPs will be rejected. If empty, all the IPs will be allowed nullable: true items: type: string EnableGeoZoneUS: type: boolean description: >- Determines if the delivery from the North American region is enabled for this pull zone EnableGeoZoneEU: type: boolean description: >- Determines if the delivery from the European region is enabled for this pull zone EnableGeoZoneASIA: type: boolean description: >- Determines if the delivery from the Asian / Oceanian region is enabled for this pull zone EnableGeoZoneSA: type: boolean description: >- Determines if the delivery from the South American region is enabled for this pull zone EnableGeoZoneAF: type: boolean description: >- Determines if the delivery from the Africa region is enabled for this pull zone IpFamilyPolicy: description: >- Address-family policy: 0=IPv4Only, 1=DualStack, 2=DualStackPreferIPv6, 3=IPv6Only. 0 = IPv4 Only 1 = Dual Stack 2 = Dual Stack (Prefer IPv6) 3 = IPv6 Only oneOf: - $ref: '#/components/schemas/IpFamilyPolicy' ZoneSecurityEnabled: type: boolean description: True if the URL secure token authentication security is enabled ZoneSecurityKey: type: string description: The security key used for secure URL token authentication nullable: true ZoneSecurityIncludeHashRemoteIP: type: boolean description: True if the zone security hash should include the remote IP IgnoreQueryStrings: type: boolean description: >- True if the Pull Zone is ignoring query strings when serving cached objects MonthlyBandwidthLimit: type: integer description: >- The monthly limit of bandwidth in bytes that the pullzone is allowed to use format: int64 MonthlyBandwidthUsed: type: integer description: The amount of bandwidth in bytes that the pull zone used this month format: int64 MonthlyCharges: type: number description: The total monthly charges for this so zone so far format: decimal AddHostHeader: type: boolean description: >- Determines if the Pull Zone should forward the current hostname to the origin OriginHostHeader: type: string description: Determines the host header that will be sent to the origin nullable: true Type: description: |- The type of the pull zone 0 = Premium 1 = Volume oneOf: - $ref: '#/components/schemas/PullZoneType' AccessControlOriginHeaderExtensions: type: array description: The list of extensions that will return the CORS headers nullable: true items: type: string EnableAccessControlOriginHeader: type: boolean description: Determines if the CORS headers should be enabled DisableCookies: type: boolean description: Determines if the cookies are disabled for the pull zone BudgetRedirectedCountries: type: array description: >- The list of budget redirected countries with the two-letter Alpha2 ISO codes nullable: true items: type: string BlockedCountries: type: array description: The list of blocked countries with the two-letter Alpha2 ISO codes nullable: true items: type: string EnableOriginShield: type: boolean description: If true the server will use the origin shield feature CacheControlMaxAgeOverride: type: integer description: The override cache time for the pull zone format: int64 CacheControlPublicMaxAgeOverride: type: integer description: The override cache time for the pull zone for the end client format: int64 BurstSize: type: integer description: >- Excessive requests are delayed until their number exceeds the maximum burst size. format: int32 RequestLimit: type: integer description: Max number of requests per IP per second format: int32 BlockRootPathAccess: type: boolean description: If true, access to root path will return a 403 error BlockPostRequests: type: boolean description: If true, POST requests to the zone will be blocked LimitRatePerSecond: type: number description: >- The maximum rate at which the zone will transfer data in kb/s. 0 for unlimited format: double LimitRateAfter: type: number description: The amount of data after the rate limit will be activated format: double ConnectionLimitPerIPCount: type: integer description: The number of connections limited per IP for this zone format: int32 PriceOverride: type: number description: The custom price override for this zone. Unit is $/Byte. format: decimal OptimizerPricing: type: number description: Monthly pricing for Bunny Optimizer for this pull zone format: decimal AddCanonicalHeader: type: boolean description: Determines if the Add Canonical Header is enabled for this Pull Zone EnableLogging: type: boolean description: Determines if the logging is enabled for this Pull Zone EnableCacheSlice: type: boolean description: >- Determines if the cache slice (Optimize for video) feature is enabled for the Pull Zone EnableSmartCache: type: boolean description: Determines if smart caching is enabled for this zone EdgeRules: type: array description: The list of edge rules on this Pull Zone nullable: true items: $ref: '#/components/schemas/EdgeRuleV2Model' EnableWebPVary: type: boolean description: Determines if the WebP Vary feature is enabled. EnableAvifVary: type: boolean description: Determines if the AVIF Vary feature is enabled. EnableCountryCodeVary: type: boolean description: Determines if the Country Code Vary feature is enabled. EnableCountryStateCodeVary: type: boolean description: Determines if the Country State Code Vary feature should be enabled. EnableMobileVary: type: boolean description: Determines if the Mobile Vary feature is enabled. EnableCookieVary: type: boolean description: Determines if the Cookie Vary feature is enabled. CookieVaryParameters: type: array description: >- Contains the list of vary parameters that will be used for vary cache by cookie string. If empty, cookie vary will not be used. nullable: true items: type: string EnableHostnameVary: type: boolean description: Determines if the Hostname Vary feature is enabled. CnameDomain: type: string description: The CNAME domain of the pull zone for setting up custom hostnames nullable: true AWSSigningEnabled: type: boolean description: Determines if the AWS Signing is enabled AWSSigningKey: type: string description: The AWS Signing region key nullable: true AWSSigningSecret: type: string description: The AWS Signing region secret nullable: true AWSSigningRegionName: type: string description: The AWS Signing region name nullable: true LoggingIPAnonymizationEnabled: type: boolean description: Determines if the TLS 1 is enabled on the Pull Zone EnableTLS1: type: boolean description: Determines if the TLS 1 is enabled on the Pull Zone EnableTLS1_1: type: boolean description: Determines if the TLS 1.1 is enabled on the Pull Zone TlsSecurityLevel: description: |- The minimum TLS security level enforced on the Pull Zone 0 = Legacy 1 = Compatible 2 = Modern Only oneOf: - $ref: '#/components/schemas/TlsSecurityLevelType' VerifyOriginSSL: type: boolean description: Determines if the Pull Zone should verify the origin SSL certificate ErrorPageEnableCustomCode: type: boolean description: Determines if custom error page code should be enabled. ErrorPageCustomCode: type: string description: Contains the custom error page code that will be returned nullable: true ErrorPageEnableStatuspageWidget: type: boolean description: >- Determines if the statuspage widget should be displayed on the error pages ErrorPageStatuspageCode: type: string description: The statuspage code that will be used to build the status widget nullable: true ErrorPageWhitelabel: type: boolean description: Determines if the error pages should be whitelabel or not OriginShieldZoneCode: type: string description: The zone code of the origin shield nullable: true LogForwardingEnabled: type: boolean description: Determines if the log forawrding is enabled LogForwardingHostname: type: string description: The log forwarding hostname nullable: true LogForwardingPort: type: integer description: The log forwarding port format: int32 LogForwardingToken: type: string description: The log forwarding token value nullable: true LogForwardingProtocol: description: |- Determines the log forwarding protocol type 0 = UDP 1 = TCP 2 = TCP Encrypted 3 = Datadog oneOf: - $ref: '#/components/schemas/PullZoneLogForwarderProtocolType' LoggingSaveToStorage: type: boolean description: Determines if the permanent logging feature is enabled LoggingStorageZoneId: type: integer description: >- The ID of the logging storage zone that is configured for this Pull Zone format: int64 FollowRedirects: type: boolean description: Determines if the zone will follow origin redirects VideoLibraryId: type: integer description: The ID of the video library that the zone is linked to format: int64 DnsRecordId: type: integer description: The ID of the DNS record tied to this pull zone format: int64 DnsZoneId: type: integer description: The ID of the DNS zone tied to this pull zone format: int64 DnsRecordValue: type: string description: The cached version of the DNS record value nullable: true OptimizerEnabled: type: boolean description: Determines if the optimizer should be enabled for this zone OptimizerTunnelEnabled: type: boolean description: >- Determines if the optimizer origin tunnel system is enabled for this zone OptimizerTunnelActiveProbingEnabled: type: boolean description: >- Determines if the optimizer tunnel system active probing should be enabled for this zone OptimizerDesktopMaxWidth: type: integer description: Determines the maximum automatic image size for desktop clients format: int32 maximum: 5000 minimum: 0 OptimizerMobileMaxWidth: type: integer description: Determines the maximum automatic image size for mobile clients format: int32 maximum: 5000 minimum: 0 OptimizerImageQuality: type: integer description: Determines the image quality for desktop clients format: int32 maximum: 100 minimum: 1 OptimizerMobileImageQuality: type: integer description: Determines the image quality for mobile clients format: int32 maximum: 100 minimum: 1 OptimizerEnableWebP: type: boolean description: Determines if the WebP optimization should be enabled OptimizerPrerenderHtml: type: boolean description: Determines if the SEO HTML prerender is enabled OptimizerHtmlToMarkdown: description: >- Determines if Markdown automatic generation for AI systems is enabled and which pipeline to use 0 = Off 1 = Simple 2 = Prerendered oneOf: - $ref: '#/components/schemas/OptimizerHtmlToMarkdownType' OptimizerLlmsTxt: type: boolean description: Determines if the llms.txt file should be served when requested OptimizerEnableManipulationEngine: type: boolean description: Determines the image manipulation should be enabled OptimizerMinifyCSS: type: boolean description: Determines if the CSS minifcation should be enabled OptimizerMinifyJavaScript: type: boolean description: Determines if the JavaScript minifcation should be enabled OptimizerWatermarkEnabled: type: boolean description: Determines if image watermarking should be enabled OptimizerWatermarkUrl: type: string description: Sets the URL of the watermark image nullable: true OptimizerWatermarkPosition: description: |- Sets the position of the watermark image 0 = Bottom Left 1 = Bottom Right 2 = Top Left 3 = Top Right 4 = Center 5 = Center Stretch oneOf: - $ref: '#/components/schemas/OptimizerWatermarkPosition' OptimizerWatermarkOffset: type: number description: Sets the offset of the watermark image format: double OptimizerWatermarkMinImageSize: type: integer description: Sets the minimum image size to which the watermark will be added format: int32 OptimizerAutomaticOptimizationEnabled: type: boolean description: Determines if the automatic image optimization should be enabled PermaCacheStorageZoneId: type: integer description: The IP of the storage zone used for Perma-Cache format: int64 PermaCacheType: description: |- Determines Perma-Cache behavior 0 = Automatic 1 = Manual oneOf: - $ref: '#/components/schemas/PermaCacheType' OriginRetries: type: integer description: The number of retries to the origin server format: int32 OriginConnectTimeout: type: integer description: >- The amount of seconds to wait when connecting to the origin. Otherwise the request will fail or retry. format: int32 OriginResponseTimeout: type: integer description: >- The amount of seconds to wait when waiting for the origin reply. Otherwise the request will fail or retry. format: int32 UseStaleWhileUpdating: type: boolean description: Determines if we should use stale cache while cache is updating UseStaleWhileOffline: type: boolean description: Determines if we should use stale cache while the origin is offline OriginRetry5XXResponses: type: boolean description: Determines if we should retry the request in case of a 5XX response. OriginRetryConnectionTimeout: type: boolean description: >- Determines if we should retry the request in case of a connection timeout. OriginRetryResponseTimeout: type: boolean description: >- Determines if we should retry the request in case of a response timeout. OriginRetryDelay: type: integer description: >- Determines the amount of time that the CDN should wait before retrying an origin request. format: int32 QueryStringVaryParameters: type: array description: >- Contains the list of vary parameters that will be used for vary cache by query string. If empty, all parameters will be used to construct the key nullable: true items: type: string OriginShieldEnableConcurrencyLimit: type: boolean description: Determines if the origin shield concurrency limit is enabled. OriginShieldMaxConcurrentRequests: type: integer description: >- Determines the number of maximum concurrent requests allowed to the origin. format: int32 EnableSafeHop: type: boolean CacheErrorResponses: type: boolean description: Determines if bunny.net should be caching error responses OriginShieldQueueMaxWaitTime: type: integer description: Determines the max queue wait time format: int32 OriginShieldMaxQueuedRequests: type: integer description: >- Determines the max number of origin requests that will remain in the queu format: int32 OptimizerClasses: type: array description: Contains the list of optimizer classes nullable: true items: $ref: '#/components/schemas/OptimizerClassModel' OptimizerForceClasses: type: boolean description: Determines if the optimizer class list should be enforced OptimizerStaticHtmlEnabled: type: boolean description: Determines whether optimizer static html feature enabled OptimizerStaticHtmlWordPressPath: type: string description: >- Wordpress html path which should be bypassed by permacache in edge rule nullable: true OptimizerStaticHtmlWordPressBypassCookie: type: string description: Wordpress cookie which should be bypassed by permacache in edge rule nullable: true UseBackgroundUpdate: type: boolean description: Determines if cache update is performed in the background. EnableAutoSSL: type: boolean description: >- If set to true, any hostnames added to this Pull Zone will automatically enable SSL. EnableQueryStringOrdering: type: boolean description: If set to true the query string ordering property is enabled. LogAnonymizationType: description: |- Gets the log anonymization type for this pull zone 0 = One Digit 1 = Drop oneOf: - $ref: '#/components/schemas/LogAnonymizationType' LogFormat: description: |- 0 = Plain 1 = JSON oneOf: - $ref: '#/components/schemas/PullZoneLogFormat' LogForwardingFormat: description: |- 0 = Plain 1 = JSON oneOf: - $ref: '#/components/schemas/PullZoneLogFormat' ShieldDDosProtectionType: description: |- 0 = Detect Only 1 = Active Standard 2 = Active Aggressive oneOf: - $ref: '#/components/schemas/ShieldDDosProtectionType' ShieldDDosProtectionEnabled: type: boolean OriginType: description: |- The type of the origin for this Pull Zone 0 = Origin URL 1 = DNS Accelerate 2 = Storage Zone 3 = Load Balancer 4 = Edge Script 5 = Magic Containers 6 = Push Zone oneOf: - $ref: '#/components/schemas/PullZoneOriginType' EnableRequestCoalescing: type: boolean description: Determines if request coalescing is currently enabled. RequestCoalescingTimeout: type: integer description: Determines the lock time for coalesced requests. format: int32 OriginLinkValue: type: string description: >- Returns the link short preview value for the pull zone origin connection. nullable: true DisableLetsEncrypt: type: boolean description: >- If true, the built-in let's encrypt is disabled and requests are passed to the origin. EnableBunnyImageAi: type: boolean BunnyAiImageBlueprints: type: array nullable: true items: $ref: '#/components/schemas/BunnyAiImageBlueprintModel' PreloadingScreenEnabled: type: boolean description: Determines if the preloading screen is currently enabled PreloadingScreenShowOnFirstVisit: type: boolean description: >- Determines if the preloading screen is shown on the first load from a user. PreloadingScreenCode: type: string description: The custom preloading screen code nullable: true PreloadingScreenLogoUrl: type: string description: The preloading screen logo URL nullable: true PreloadingScreenCodeEnabled: type: boolean description: Determines if the custom preloader screen is enabled PreloadingScreenTheme: description: >- The currently configured preloading screem theme. (0 - Light, 1 - Dark) 0 = Light 1 = Dark oneOf: - $ref: '#/components/schemas/PreloadingScreenTheme' PreloadingScreenDelay: type: integer description: >- The delay in miliseconds after which the preloading screen will be desplayed format: int32 EUUSDiscount: type: integer description: The Pull Zone specific pricing discount for EU and US region. format: int32 SouthAmericaDiscount: type: integer description: The Pull Zone specific pricing discount for South America region. format: int32 AfricaDiscount: type: integer description: The Pull Zone specific pricing discount for Africa region. format: int32 AsiaOceaniaDiscount: type: integer description: The Pull Zone specific pricing discount for Asia & Oceania region. format: int32 RoutingFilters: type: array description: The list of routing filters enabled for this zone nullable: true items: type: string BlockNoneReferrer: type: boolean description: >- Determines if direct access to files will be blocked if not coming from allowed referrers StickySessionType: description: |- Whether to use a Sticky Session mechanism for this pull zone 0 = Off 1 = On oneOf: - $ref: '#/components/schemas/StickySessionType' StickySessionCookieName: type: string description: Sticky Session Cookie Name nullable: true StickySessionClientHeaders: type: string description: A set of comma-separated header names used to identify clients nullable: true LoadBalancerId: type: integer description: >- The ID of the Load Balancer profile used as the origin when OriginType is LoadBalancer format: int64 nullable: true UserId: type: string description: User Id of the pull zone owner nullable: true CacheVersion: type: integer format: int64 OptimizerEnableUpscaling: type: boolean description: Determines if Optimizer is allowed to upscale images EnableWebSockets: type: boolean description: Determines if WebSocket connections are allowed for this Pull Zone. MaxWebSocketConnections: type: integer description: >- The maximum global simultaneous WebSocket connections allowed for this Pull Zone. format: int32 EnableExtendedLogging: type: boolean description: >- Determines if extended logging with additional details is enabled for this Pull Zone. CacheKeyHeaders: type: string description: Vary Cache by Request Headers (comma delimited) nullable: true HostnameModel: type: object additionalProperties: false properties: Id: type: integer description: The unique ID of the hostname format: int64 Value: type: string description: The hostname value for the domain name nullable: true ForceSSL: type: boolean description: Determines if the Force SSL feature is enabled IsSystemHostname: type: boolean description: Determines if this is a system hostname controlled by bunny.net IsManagedHostname: type: boolean description: Determines if this is a managed hostname controlled by bunny.net HasCertificate: type: boolean description: Determines if the hostname has an SSL certificate configured Certificate: type: string description: Contains the Base64Url encoded certificate for the hostname nullable: true CertificateKey: type: string description: Contains the Base64Url encoded certificate key for the hostname nullable: true CertificateKeyType: description: |- The private key type to use for automatic certificates 0 = ECDSA 1 = RSA oneOf: - $ref: '#/components/schemas/PrivateKeyType' CertificateProvisionType: description: |- The provisioned certificate type 0 = Unknown 1 = HTTP-01 2 = DNS-01 3 = Custom 4 = Managed oneOf: - $ref: '#/components/schemas/CertificateProvisionType' ExecutionPhase: type: integer description: |- 0 = Cache 1 = Load Balancer 2 = Pre-Cache x-enumNames: - Cache - LoadBalancer - PreCache enum: - 0 - 1 - 2 IpFamilyPolicy: type: integer description: |- 0 = IPv4 Only 1 = Dual Stack 2 = Dual Stack (Prefer IPv6) 3 = IPv6 Only x-enumNames: - IPv4Only - DualStack - DualStackPreferIPv6 - IPv6Only enum: - 0 - 1 - 2 - 3 PullZoneType: type: integer description: |- 0 = Premium 1 = Volume x-enumNames: - Premium - Volume enum: - 0 - 1 EdgeRuleV2Model: type: object additionalProperties: false properties: Guid: type: string description: The unique GUID of the edge rule nullable: true ActionType: description: |- The action type of the edge rule
Show all 38 values | Value | Name | |---|---| | `0` | Force SSL | | `1` | Redirect | | `2` | Origin URL | | `3` | Override Cache Time | | `4` | Block Request | | `5` | Set Response Header | | `6` | Set Request Header | | `7` | Force Download | | `8` | Disable Token Authentication | | `9` | Enable Token Authentication | | `10` | Override Cache Time Public | | `11` | Ignore Query String | | `12` | Disable Optimizer | | `13` | Force Compression | | `14` | Set Status Code | | `15` | Bypass Perma-Cache | | `16` | Override Browser Cache Time | | `17` | Origin Storage | | `18` | Set Network Rate Limit | | `19` | Set Connection Limit | | `20` | Set Requests Per Second Limit | | `21` | Run Edge Script | | `22` | Origin Magic Containers | | `23` | Disable WAF | | `24` | Retry Origin | | `25` | Override Browser Cache Response Header | | `26` | Remove Browser Cache Response Header | | `27` | Disable Shield Challenge | | `28` | Disable Shield | | `29` | Disable Shield Bot Detection | | `30` | Bypass AWS S3 Authentication | | `31` | Disable Shield Access Lists | | `32` | Disable Shield Rate Limiting | | `33` | Enable Request Coalescing | | `34` | Disable Request Coalescing | | `35` | Use Load Balancer | | `36` | Force Load Balancer Sticky Session Mode | | `37` | Strip Cookies (Client to Origin) |
oneOf: - $ref: '#/components/schemas/EdgeRuleActionType' ActionParameter1: type: string description: >- The Action parameter 1. The value depends on other parameters of the edge rule. nullable: true ActionParameter2: type: string description: >- The Action parameter 2. The value depends on other parameters of the edge rule. nullable: true ActionParameter3: type: string description: >- The Action parameter 3. The value depends on other parameters of the edge rule. nullable: true Triggers: type: array nullable: true items: $ref: '#/components/schemas/Trigger' ExtraActions: type: array nullable: true items: $ref: '#/components/schemas/EdgeRuleV2ActionModel' TriggerMatchingType: description: |- The trigger matching type 0 = Match Any 1 = Match All 2 = Match None oneOf: - $ref: '#/components/schemas/TriggerMatchingTypes' Description: type: string description: The description of the edge rule nullable: true Enabled: type: boolean description: Determines if the edge rule is currently enabled or not OrderIndex: type: integer description: The index of the edge rule in the list of execution priority format: int32 ReadOnly: type: boolean description: >- Determines if the edge rule is read-only and cannot be modified or deleted TlsSecurityLevelType: type: integer description: |- 0 = Legacy 1 = Compatible 2 = Modern Only x-enumNames: - Legacy - Compatible - ModernOnly enum: - 0 - 1 - 2 PullZoneLogForwarderProtocolType: type: integer description: |- 0 = UDP 1 = TCP 2 = TCP Encrypted 3 = Datadog x-enumNames: - UDP - TCP - TCPEncrypted - DataDog enum: - 0 - 1 - 2 - 3 OptimizerHtmlToMarkdownType: type: integer description: |- 0 = Off 1 = Simple 2 = Prerendered x-enumNames: - 'Off' - Simple - Prerendered enum: - 0 - 1 - 2 OptimizerWatermarkPosition: type: integer description: |- 0 = Bottom Left 1 = Bottom Right 2 = Top Left 3 = Top Right 4 = Center 5 = Center Stretch x-enumNames: - BottomLeft - BottomRight - TopLeft - TopRight - Center - CenterStretch enum: - 0 - 1 - 2 - 3 - 4 - 5 PermaCacheType: type: integer description: |- 0 = Automatic 1 = Manual x-enumNames: - Automatic - Manual enum: - 0 - 1 OptimizerClassModel: type: object additionalProperties: false properties: Name: type: string nullable: true Properties: type: object nullable: true additionalProperties: type: string LogAnonymizationType: type: integer description: |- 0 = One Digit 1 = Drop x-enumNames: - OneDigit - Drop enum: - 0 - 1 PullZoneLogFormat: type: integer description: |- 0 = Plain 1 = JSON x-enumNames: - Plain - JSON enum: - 0 - 1 ShieldDDosProtectionType: type: integer description: |- 0 = Detect Only 1 = Active Standard 2 = Active Aggressive x-enumNames: - DetectOnly - ActiveStandard - ActiveAggressive enum: - 0 - 1 - 2 PullZoneOriginType: type: integer description: |- 0 = Origin URL 1 = DNS Accelerate 2 = Storage Zone 3 = Load Balancer 4 = Edge Script 5 = Magic Containers 6 = Push Zone x-enumNames: - OriginUrl - DnsAccelerate - StorageZone - LoadBalancer - EdgeScript - MagicContainers - PushZone enum: - 0 - 1 - 2 - 3 - 4 - 5 - 6 BunnyAiImageBlueprintModel: type: object additionalProperties: false properties: Name: type: string nullable: true Properties: type: object nullable: true additionalProperties: type: string PreloadingScreenTheme: type: integer description: |- 0 = Light 1 = Dark x-enumNames: - Light - Dark enum: - 0 - 1 StickySessionType: type: integer description: |- 0 = Off 1 = On x-enumNames: - 'Off' - 'On' enum: - 0 - 1 PrivateKeyType: type: integer description: |- 0 = ECDSA 1 = RSA x-enumNames: - Ecdsa - Rsa enum: - 0 - 1 CertificateProvisionType: type: integer description: |- 0 = Unknown 1 = HTTP-01 2 = DNS-01 3 = Custom 4 = Managed x-enumNames: - Unknown - Http01 - Dns01 - Custom - Managed enum: - 0 - 1 - 2 - 3 - 4 EdgeRuleActionType: type: integer description: |- 0 = Force SSL 1 = Redirect 2 = Origin URL 3 = Override Cache Time 4 = Block Request 5 = Set Response Header 6 = Set Request Header 7 = Force Download 8 = Disable Token Authentication 9 = Enable Token Authentication 10 = Override Cache Time Public 11 = Ignore Query String 12 = Disable Optimizer 13 = Force Compression 14 = Set Status Code 15 = Bypass Perma-Cache 16 = Override Browser Cache Time 17 = Origin Storage 18 = Set Network Rate Limit 19 = Set Connection Limit 20 = Set Requests Per Second Limit 21 = Run Edge Script 22 = Origin Magic Containers 23 = Disable WAF 24 = Retry Origin 25 = Override Browser Cache Response Header 26 = Remove Browser Cache Response Header 27 = Disable Shield Challenge 28 = Disable Shield 29 = Disable Shield Bot Detection 30 = Bypass AWS S3 Authentication 31 = Disable Shield Access Lists 32 = Disable Shield Rate Limiting 33 = Enable Request Coalescing 34 = Disable Request Coalescing 35 = Use Load Balancer 36 = Force Load Balancer Sticky Session Mode 37 = Strip Cookies (Client to Origin) x-enumNames: - ForceSSL - Redirect - OriginUrl - OverrideCacheTime - BlockRequest - SetResponseHeader - SetRequestHeader - ForceDownload - DisableTokenAuthentication - EnableTokenAuthentication - OverrideCacheTimePublic - IgnoreQueryString - DisableOptimizer - ForceCompression - SetStatusCode - BypassPermaCache - OverrideBrowserCacheTime - OriginStorage - SetNetworkRateLimit - SetConnectionLimit - SetRequestsPerSecondLimit - RunEdgeScript - OriginMagicContainers - DisableWAF - RetryOrigin - OverrideBrowserCacheResponseHeader - RemoveBrowserCacheResponseHeader - DisableShieldChallenge - DisableShield - DisableShieldBotDetection - BypassAwsS3Authentication - DisableShieldAccessLists - DisableShieldRateLimiting - EnableRequestCoalescing - DisableRequestCoalescing - UseLoadBalancer - ForceLoadBalancerStickySessionMode - StripCookiesClientToOrigin enum: - 0 - 1 - 2 - 3 - 4 - 5 - 6 - 7 - 8 - 9 - 10 - 11 - 12 - 13 - 14 - 15 - 16 - 17 - 18 - 19 - 20 - 21 - 22 - 23 - 24 - 25 - 26 - 27 - 28 - 29 - 30 - 31 - 32 - 33 - 34 - 35 - 36 - 37 Trigger: type: object additionalProperties: false properties: Type: description: |- The type of the trigger
Show all 14 values | Value | Name | |---|---| | `0` | URL | | `1` | Request Header | | `2` | Response Header | | `3` | URL Extension | | `4` | Country Code | | `5` | Remote IP | | `6` | URL Query String | | `7` | Random Chance | | `8` | Status Code | | `9` | Request Method | | `10` | Cookie Value | | `11` | Country State Code | | `12` | Origin Retry Attempt Count | | `13` | Origin Connection Error |
oneOf: - $ref: '#/components/schemas/TriggerTypes' PatternMatches: type: array description: The list of pattern matches that will trigger the edge rule nullable: true items: type: string PatternMatchingType: description: |- The type of pattern matching 0 = Match Any 1 = Match All 2 = Match None oneOf: - $ref: '#/components/schemas/PatternMatchingTypes' Parameter1: type: string description: The trigger parameter 1. The value depends on the type of trigger. nullable: true EdgeRuleV2ActionModel: type: object additionalProperties: false properties: ActionType: description: |-
Show all 38 values | Value | Name | |---|---| | `0` | Force SSL | | `1` | Redirect | | `2` | Origin URL | | `3` | Override Cache Time | | `4` | Block Request | | `5` | Set Response Header | | `6` | Set Request Header | | `7` | Force Download | | `8` | Disable Token Authentication | | `9` | Enable Token Authentication | | `10` | Override Cache Time Public | | `11` | Ignore Query String | | `12` | Disable Optimizer | | `13` | Force Compression | | `14` | Set Status Code | | `15` | Bypass Perma-Cache | | `16` | Override Browser Cache Time | | `17` | Origin Storage | | `18` | Set Network Rate Limit | | `19` | Set Connection Limit | | `20` | Set Requests Per Second Limit | | `21` | Run Edge Script | | `22` | Origin Magic Containers | | `23` | Disable WAF | | `24` | Retry Origin | | `25` | Override Browser Cache Response Header | | `26` | Remove Browser Cache Response Header | | `27` | Disable Shield Challenge | | `28` | Disable Shield | | `29` | Disable Shield Bot Detection | | `30` | Bypass AWS S3 Authentication | | `31` | Disable Shield Access Lists | | `32` | Disable Shield Rate Limiting | | `33` | Enable Request Coalescing | | `34` | Disable Request Coalescing | | `35` | Use Load Balancer | | `36` | Force Load Balancer Sticky Session Mode | | `37` | Strip Cookies (Client to Origin) |
oneOf: - $ref: '#/components/schemas/EdgeRuleActionType' ActionParameter1: type: string nullable: true ActionParameter2: type: string nullable: true ActionParameter3: type: string nullable: true TriggerMatchingTypes: type: integer description: |- 0 = Match Any 1 = Match All 2 = Match None x-enumNames: - MatchAny - MatchAll - MatchNone enum: - 0 - 1 - 2 TriggerTypes: type: integer description: |- 0 = URL 1 = Request Header 2 = Response Header 3 = URL Extension 4 = Country Code 5 = Remote IP 6 = URL Query String 7 = Random Chance 8 = Status Code 9 = Request Method 10 = Cookie Value 11 = Country State Code 12 = Origin Retry Attempt Count 13 = Origin Connection Error x-enumNames: - Url - RequestHeader - ResponseHeader - UrlExtension - CountryCode - RemoteIP - UrlQueryString - RandomChance - StatusCode - RequestMethod - CookieValue - CountryStateCode - OriginRetryAttemptCount - OriginConnectionError enum: - 0 - 1 - 2 - 3 - 4 - 5 - 6 - 7 - 8 - 9 - 10 - 11 - 12 - 13 PatternMatchingTypes: type: integer description: |- 0 = Match Any 1 = Match All 2 = Match None x-enumNames: - MatchAny - MatchAll - MatchNone enum: - 0 - 1 - 2 securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.